searchData={"items":[{"type":"module","title":"Ragistry","doc":"A distributed process registry for Elixir applications.\n\nRagistry provides a simple interface for process registration and lookup across a cluster\nof Elixir nodes. It supports:\n\n- Process registration with associated metadata\n- Process lookup across nodes\n- Automatic process deregistration on termination\n- Via tuple registration for use with GenServers and other OTP behaviors","ref":"Ragistry.html"},{"type":"module","title":"Examples - Ragistry","doc":"# Start the registry\n    {:ok, _pid} = Ragistry.start_link(name: :my_registry)\n\n    # Register a process\n    Ragistry.register(:my_registry, \"my_key\", \"my_value\")\n\n    # Look up a process\n    [{pid, value}] = Ragistry.lookup(:my_registry, \"my_key\")\n\n    # Use with GenServer via tuple\n    {:ok, pid} = GenServer.start_link(MyServer, [],\n      name: {:via, Ragistry, {:my_registry, \"server_key\", \"metadata\"}})\n\nThe registry automatically handles process monitoring and cleanup when registered\nprocesses terminate, maintaining consistency across the cluster.","ref":"Ragistry.html#module-examples"},{"type":"function","title":"Ragistry.lookup/2","doc":"Looks up processes registered under the given key.\n\nReturns a list of tuples containing `{pid, value}` for all matching processes,\nor an empty list if no process is registered under the given key.","ref":"Ragistry.html#lookup/2"},{"type":"function","title":"Ragistry.register/3","doc":"Registers the current process in the registry under the given key with associated value.\n\nReturns `:ok` if successful, or `{:error, :already_registered}` if the key is already taken.","ref":"Ragistry.html#register/3"},{"type":"function","title":"Ragistry.start_link/1","doc":"Starts a new registry instance.","ref":"Ragistry.html#start_link/1"},{"type":"function","title":"Options - Ragistry.start_link/1","doc":"* `:name` - Required. The name to register the registry under.","ref":"Ragistry.html#start_link/1-options"},{"type":"function","title":"Ragistry.unregister/2","doc":"Unregisters the current process for the given key.\n\nReturns `:ok` if successful.","ref":"Ragistry.html#unregister/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}